
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Javascript中的prototype / iVAN</title>

    <meta name="description" content="Javascript中的prototype  prototype 是在IE4及其以后版本引入的一个针对于某一类的对象的方法,而且特殊的地方便在于:它可以给一个给类的对象添加方法.   首先,我们要先了解一下类的概念,JavaScript 本身是一种面向对象的语言,它所涉及的元素根据其属性的不同都依附于某一个特定的类.我们所常见的类包括:数组变量(Array).逻辑变量 (Boolean).日期变量(Date).结构变量(Function).数值变量(Number).对象变量(Object).字符串变量 (String) 等,而相关的类的方">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Javascript中的prototype</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> <br />prototype 是在IE4及其以后版本引入的一个针对于某一类的对象的方法，而且特殊的地方便在于：它可以给一个给类的对象添加方法。</p>
<p> </p>
<p>首先，我们要先了解一下类的概念，<strong>JavaScript 本身是一种面向对象的语言，它所涉及的元素根据其属性的不同都依附于某一个特定的类。</strong>我们所常见的类包括：数组变量(Array)、逻辑变量 (Boolean)、日期变量(Date)、结构变量(Function)、数值变量(Number)、对象变量(Object)、字符串变量 (String) 等，而相关的类的方法，也是程序员经常用到的（在这里要区分一下类的注意和属性方法），例如数组的push方法、日期的get系列方法、字符串的<br />
 split方法等等，</p>
<p>　　</p>
<p><strong>但是在实际的编程过程中不知道有没有感觉到现有方法的不足？prototype 方法应运而生！下面，将通过实例由浅入深讲解 prototype 的具体使用方法：</strong></p>
<p> </p>
<p> </p>
<p><strong>1 最简单的例子，了解prototype：<br /></strong></p>
<p><strong>① Number.add(num)：作用，数字相加<br /></strong>实现方法：<strong>Number.prototype.add = function(num){return(this+num);}<br /></strong>试验：alert((3).add(15)) -&gt; 显示 18</p>
<p><strong>② Boolean.rev(): 作用，布尔变量取反<br /></strong>实现方法：<strong>Boolean.prototype.rev = function(){return(!this);}<br /></strong>试验：alert((true).rev()) -&gt; 显示 false</p>
<p><strong>2 已有方法的实现和增强，初识prototype：</strong></p>
<p><strong>(1) Array.push(new_element)<br /></strong>　　</p>
<p>作用：在数组末尾加入一个新的元素</p>
<p>　　<strong>Array.prototype.push</strong> = function(new_element){<br />
              this[this.length]=new_element;<br />
              return this.length;<br />
        }</p>
<p>　　让我们进一步来增强他，让他可以一次增加多个元素！</p>
<p>　　<strong>Array.prototype.pushPro</strong> = function() {<br />
              var currentLength = this.length;<br />
              for (var i = 0; i &lt; arguments.length; i++) {<br />
                       this[currentLength + i] = arguments[i];<br />
              }<br />
             return this.length;<br />
         }</p>
<p>　　以此类推，你可以考虑一下如何通过增强 Array.pop 来实现删除任意位置，任意多个元素。</p>
<p> </p>
<p><strong>(2) String.length<br /></strong>　　</p>
<p>作用：这实际上是 String 类的一个属性，但是由于 JavaScript 将全角、半角均视为是一个字符，在一些实际运用中可能会造成一定的问题，现在我们通过 prototype 来弥补这部不足。<br />
　　实现方法：<br />
　　<strong>String.prototype.cnLength</strong> = function(){<br />
               var arr=this.match(/[^\x00-\xff]/ig);<br />
               return this.length+(arr==null?0:arr.length);<br />
        }<br />
　　试验：alert("EaseWe空间Spaces".cnLength()) -&gt; 显示 16<br />
　　这里用到了一些正则表达式的方法和全角字符的编码原理，由于属于另两个比较大的类别，本文不加说明，请参考相关材料。</p>
<p><strong>3 新功能的实现，深入prototype：</strong></p>
<p>在实际编程中所用到的肯定不只是已有方法的增强，更多的实行的功能的要求，</p>
<p><strong>(1) String.left()<br /></strong>　　</p>
<p>问题：用过 vb 的应该都知道left函数，从字符串左边取n个字符，但是不足是将全角、半角均视为是一个字符，造成在中英文混</p>
<p>排的版面中不能截取等长的字符串</p>
<p>作用：从字符串左边截取 n 个字符，并支持全角半角字符的区分</p>
<p>　　<strong>String.prototype.left</strong> = function(num,mode){<br />
              if(!/\d+/.test(num))return(this);<br />
              var str = this.substr(0,num);<br />
              if(!mode) return str;<br />
              var n = str.Tlength() - str.length;<br />
              num = num - parseInt(n/2);<br />
              return this.substr(0,num);<br />
         }</p>
<p>alert("EaseWe空间Spaces".left(8)) -&gt; 显示 EaseWe空间<br />
alert("EaseWe空间Spaces".left(8,true)) -&gt; 显示 EaseWe空</p>
<p>本方法用到了上面所提到的String.Tlength()方法，自定义方法之间也能组合出一些不错的新方法呀！</p>
<p><strong>(2) Date.DayDiff()<br /></strong>　　</p>
<p>作用：计算出两个日期型变量的间隔时间（年、月、日、周）</p>
<p>　　<strong>Date.prototype.DayDiff</strong> = function(cDate,mode){<br />
         try{<br />
             cDate.getYear();<br />
         }catch(e){<br />
             return(0);<br />
         }<br />
         var base =60*60*24*1000;<br />
         var result = Math.abs(this - cDate);<br />
         switch(mode){<br />
             case "y":<br />
                 result/=base*365;<br />
                 break;<br />
             case "m":<br />
                 result/=base*365/12;<br />
                 break;<br />
             case "w":<br />
                 result/=base*7;<br />
                 break;<br />
             default:<br />
                 result/=base;<br />
                 break;<br />
         }<br />
         return(Math.floor(result));<br />
     }<br />
　　</p>
<p>alert((new Date()).DayDiff((new Date(2002,0,1)))) -&gt; 显示 329<br />
alert((new Date()).DayDiff((new Date(2002,0,1)),"m")) -&gt; 显示 10<br />
　　</p>
<p>当然，也可以进一步扩充，得出响应的小时、分钟，甚至是秒。</p>
<p><strong>(3) Number.fact()<br /></strong>　　</p>
<p>作用：某一数字的阶乘<br />
　　</p>
<p>         Number.prototype.fact=function(){<br />
               var num = Math.floor(this);<br />
               if(num&lt;0)return NaN;<br />
               if(num==0 || num==1)<br />
                       return 1;<br />
               else<br />
                      return (num*(num-1).fact());<br />
        }</p>
<p>alert((4).fact()) -&gt; 显示 24<br />
　　</p>
<p>这个方法主要是说明了递归的方法在 prototype 方法中也是可行的。</p>
<p> </p>
<p>原帖地址：<a href="http://user.qzone.qq.com/378394241/blog/1328772213" rel="external nofollow noreferrer">http://user.qzone.qq.com/378394241/blog/</a><a href="http://user.qzone.qq.com/378394241/blog/1328772213" rel="external nofollow noreferrer">1328772213</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 12:00:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Javascript中的prototype的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2oa7M.html" rel="bookmark">JavaScript中String&period;prototype用法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  本文实例讲述了JavaScript中String.prototype用法.分享给大家供大家参考.具体如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 // 返回字符的长度,一个中文算2个 String.prototype.ChineseLength=function() { return this.replace(/[^x00-xff]/g,&quot;**&quot;).len			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQNB30M.html" rel="bookmark">JavaScript中通过prototype属性共享属性和方法的技巧实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 这篇文章主要介绍了JavaScript中通过prototype属性共享属性和方法的技巧实例,本文直接给出一个代码实例,需要的朋友可以参考下     具体代码如下:   代码如下: //定义函数 function people(name,sex,age){ this.name = name; this.sex = sex; this.age = age; } //共享isStudent与sayName方法 people.prototype = { isStudent:true, sayName:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKk8rZb.html" rel="bookmark">JavaScript中的prototype和constructor简明总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 一直没弄清楚JavaScript中的prototype和constructor属性,今天看了看书,总算有点眉目了 一.constructor constructor的值是一个函数.在JavaScript中,除了null和undefined外的类型的值.数组.函数以及对象,都有一个constructor属性,constructor属性的值是这个值.数组.函数或者对象的构造函数.如:   代码如下:var a = 12, // 数字     b = 'str', // 字符串     c = fa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NLm9p.html" rel="bookmark">JavaScript中Object&period;prototype&period;toString方法的原理&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaScript中,想要判断某个对象值属于哪种内置类型,最靠谱的做法就是通过Object.prototype.toString方法. var arr = []; console.log(Object.prototype.toString.call(arr)) //&quot;[object Array]&quot; 本文要讲的就是,toString方法是如何做到这一点的,原理是什么. ECMAScript 3 在ES3中,Object.prototype.toString方法的规范如下: 15.2.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN8PBoz.html" rel="bookmark">JavaScript中String&period;prototype用法实例&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了JavaScript中String.prototype用法.分享给大家供大家参考.具体如下: // 返回字符的长度,一个中文算2个 String.prototype.ChineseLength=function() { return this.replace(/[^\x00-\xff]/g,&quot;**&quot;).length; } // 判断字符串是否以指定的字符串结束 String.prototype.EndsWith = function(str) { return this.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/qzDjBBM.html" rel="bookmark">JavaScript中的prototype&lpar;原型&rpar;属性研究</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				javascript 我们知道Jscript中对象的prototype属性,是用来返回对象类型原型的引用的.我们使用prototype属性提供对象的类的一组基本功能.并且对象的新实例会&quot;继承&quot;赋予该对象原型的操作.但是这个prototype到底是怎么实现和被管理的呢? 对于对象的prototype属性的说明,Jscript手册上如是说:所有 Jscript 内部对象都有只读的 prototype 属性.可以向其原型中动态添加功能(属性和方法),但该对象不能被赋予不同的原型.然而,用户定			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg3mr6M.html" rel="bookmark">JavaScript中的prototype&period;bind&lpar;&rpar;方法介绍</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在JavaScript中,我们经常用到函数绑定,而当你需要在另一个函数中保持this上下文时,使用Function.prototype.bind()会很方便 以前,你可能会直接设置self=this或者that=this等等,这样做当然也能起作用,但是使用Function.prototype.bind()会更好,看上去也更专业. 下面举个简单的例子:   代码如下: var myObj = {     specialFunction: function () {     },     anot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkjxvb.html" rel="bookmark">JavaScript中的prototype使用说明&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.prototype 在JavaScript中并没有类的概念,但JavaScript中的确可以实现重载,多态,继承.这些实现其实方法都可以用JavaScript中的引用和变量作用域结合prototype来解释. 2.简单的例子 复制代码 代码如下: var Blog = function( name, url ){ this.name = name; this.url = url; }; Blog.prototype.jumpurl = ''; Blog.prototype.jump = fu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKqR4dp.html" rel="bookmark">javascript中的prototype属性使用说明&lpar;函数功能扩展&rpar;&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这是一个比较特殊的属性,Javascript中的继承一般都依赖这属性实现. 在Javascript中,一切都是对象,字符串是对象,数组是对象,变量是对象,函数也是对象,所以才会允许['a','b','c'].push('d');这样的操作存在.类本身也是一个对象,也可以定义属性和方法: 复制代码 代码如下: function Test(){}; Test.str = 'str'; Test.fun = function(){return 'fun';}; var r1 = Test.str; /			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GyKop.html" rel="bookmark">javascript中的prototype属性实例分析说明&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Javascript中,一切都是对象,字符串是对象,数组是对象,变量是对象,函数也是对象,所以才会允许['a','b','c'].push('d');这样的操作存在.类本身也是一个对象,也可以定义属性和方法: 复制代码 代码如下: function Test(){}; Test.str = 'str'; Test.fun = function(){return 'fun';}; var r1 = Test.str; // str var r2 = Test.fun(); // fun var			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbaDEgz.html" rel="bookmark" class="title">DIV高度100％和透明的一种写法</a>
					<div>
						透明 DIV高度100%;DIV透明;的一种写法; 我现在用的是绝对定位;这行删了也可以;  HTML代码&lt;!DOCTYPEhtml PUBLIC &quot;-//W3C//DTD XHTML ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8L0Pp.html" rel="bookmark" class="title">使用图层组</a>
					<div>
						制作过程中有时候用到的图层数会很多,尤其在网页设计中,超过100层也是常见的.这会导致即使关闭缩览图,图层调板也会拉得很长,使得查找图层很不方便.虽然我们前面学过使用合适的文字去命名图层,但实际使用中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b33Ngb.html" rel="bookmark" class="title">搜索引擎竞价：善用工具高效工作</a>
					<div>
						对于互联网企业而言,搜索引擎竞价广告已成为其重要的营销手段之一.很多企业的加入到了竞价广告行列内,而对于其竞价广告管理员,大多数都是直接通过竞价广告登陆页面登陆,从而对其广告进行管理.以致于不懂得甚至 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjOW5M.html" rel="bookmark" class="title">在ubuntu主线版本下的&sol;var&sol;cache&sol;apt&sol;archives文件夹说明：系统清理</a>
					<div>
						/var/cache/apt/archives文件夹中的文件是使用sudo apt-get install appname时下载的安装文件,这些文件是可以清理的,若你系统空间不足的时候,可以想到从此处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVnw1nz.html" rel="bookmark" class="title">如何解决DB2中出现的SQL1032N错误现象</a>
					<div>
						在使用DB2以来,碰到了几次出现提示SQL1032N错误,每次出错时出错信息大概如下: 11/21/2004 22:15:33 0 0 SQL1042C 发生意外的系统错误. SQL1032N 未发出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxODOb.html" rel="bookmark" class="title">用句柄操纵对象</a>
					<div>
						每种编程语言都有自己的数据处理方式.有些时候,程序员必须时刻留意准备处理的是什么类型.您曾利用一些特殊语法直接操作过对象,或处理过一些间接表示的对象吗(C或C++里的指针)? 所有这些在Java里都得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRx4qz.html" rel="bookmark" class="title">hsdpa技术介绍</a>
					<div>
						前言 在3G的三大标准的角逐中,WCDMA商用在运营商的支持数量上取得了领先,但在其网络所支持的数据速率上却长期停留在理论上的384kbps水平,而其网络建设也一直处于缓慢发展的状态. 与此形成鲜明对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKyLOM.html" rel="bookmark" class="title">CB中用socket api写网络通讯程序</a>
					<div>
						在7月4日看完sockcomp.pas后,我决定用socket api来写一个客户端和服务器并且同时支持TCP,UDP协议,于是我就去做,现将代码贴出来(已调试通过) Socket api Clien ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j6Wlb.html" rel="bookmark" class="title">Swing通用数据验证模块</a>
					<div>
						这段时间真是忙得要死,一方面要开发公司项目的系统框架,要将项目分成不同的子项目,编写核心 代码:另一方面要将极限编程(XP)引入团队开发,部署各类 XP需要的服务例如subversion啦,ant+i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2xeAb.html" rel="bookmark" class="title">基于Java的动画编程基础（二）</a>
					<div>
						画出每一帧: 剩下的就是将每一帧图象绘出.在上例中调用了applet的repaint()来绘出每一帧图象. public void paint(Graphics g) { g.setColor(Col ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKmg1p.html" rel="bookmark" class="title">java作的日历的源代码</a>
					<div>
						import java.awt.*; import java.awt.event.*; import java.util.*; public class CalenderCreator extends ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ78v4b.html" rel="bookmark" class="title">浅析Banner设计</a>
					<div>
						当今,无论任何一款互联网产品,都需要搭载PC平台进行推广,Banner更是推广的一大利器,怎么将Banner设计好就成为一个需要探讨研究的课题. Banner规格尺寸大小不一,文件大小也有一定的限制, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY2WPrp.html" rel="bookmark" class="title">word试卷中的题目怎么设置分级标题&quest;</a>
					<div>
						      word试卷中的题目怎么设置分级标题?         试卷中,一般都是分成几大题,每一大题下会有一些小题.这种情况下大标题一般是顶格加粗,小题则会空两格(空出大题的题号与标点部分),小题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7GOdb.html" rel="bookmark" class="title">显示器使用维护有什么注意事项</a>
					<div>
						  1.显示器的放置应尽量远离强磁场,如高压电线.音箱等,否则显像管容易被磁化. 2.使用时尽量将显示器面向东方,因显示器出厂调整是面向东方进行的,这样可以使显示器受地球磁场的影响最小. 3.应尽量避 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze78a7M.html" rel="bookmark" class="title">我想去学java，北京java培训机构那家好点呀？</a>
					<div>
						问题描述 我现在大学毕业了,想去学java,但是又不知道去那学习,我想找一个学习时间短点了.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwKy4M.html" rel="bookmark" class="title">关于1Byte 1K 1M 1G&lpar;换算&rpar;</a>
					<div>
						1个字节等于8位二进制 .... 1byte=8bit 1K = 1024 byte =1024byte*8b 说白一点就是 1M等于1024个K组成,而1K又等于1024B,所以1M等于1024K乘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPOKlp.html" rel="bookmark" class="title">拷贝-同一个文件夹里有多个图片要复制到另一个文件夹，要怎么做</a>
					<div>
						问题描述 同一个文件夹里有多个图片要复制到另一个文件夹,要怎么做 首先我要能让系统得到每一张图片的名字,这样就可以用file.copy(源图片,目标图片,ture)将图片拷贝到另一个文件夹了,但问题是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NPOPM.html" rel="bookmark" class="title">让你见识一款人人都会使用的建站工具</a>
					<div>
						我们曾经做过这样一个调查: 找一个当地的网络公司,告诉他我们要做一个这样的网站: 有新闻发布系统,有http://www.aliyun.com/zixun/aggregation/30222.html ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32dnAz.html" rel="bookmark" class="title">ios-通过名称对数组进行初始化</a>
					<div>
						问题描述 通过名称对数组进行初始化 要初始化数组中的字符串,如下格式: -(IBAction)btnSubmit:(UIButton *)sender { NSString *phone = phon ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN79xPp.html" rel="bookmark" class="title">手机浏览器面临生存难题 将成巨头间游戏</a>
					<div>
						国内老牌浏览器厂商uc遭到苹果app store的下架,而欧朋.傲游等手机浏览器受移动app冲击,生存空间受挤压.手机浏览器作为移动互联网的入口地位正遭到削弱.与此同时,随着腾讯.百度等互联网巨头的强 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NLomz.html" rel="bookmark" class="title">Kotlin &plus; Spring Boot服务端开发</a>
					<div>
						Kotlin是什么? 著名IDE厂商JetBrains开发的基于JVM的静态类型编程语言,声称100% interoperable with Java.Kotlin是由工程师设计的,各种细节设计非常切 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjWlxp.html" rel="bookmark" class="title">jquery操作下拉框</a>
					<div>
						jQuery获取Select选择的Text和Value:语法解释:1. $(&quot;#select_id&quot;).change(function(){//code...});   //为Se ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLrj0p.html" rel="bookmark" class="title">c&plus;&plus; python-C&plus;&plus; 调用Python 请教各位大神</a>
					<div>
						问题描述 C++ 调用Python 请教各位大神 请问大神们 我配置C++调用Python 总是出现下面问题 ,请教各位大神: 1&gt;test.obj : error LNK2019: 无法解析的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlrBGp.html" rel="bookmark" class="title">Bootstrap &amp;lt&semi;基础七&amp;gt&semi;按钮</a>
					<div>
						原文:Bootstrap &lt;基础七&gt;按钮 任何带有 class .btn 的元素都会继承圆角灰色按钮的默认外观.但是 Bootstrap 提供了一些选项来定义按钮的样式,具体如下表所示:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLjDNM.html" rel="bookmark" class="title">动态显示窗体问题</a>
					<div>
						问题描述 constintAW_HOR_POSITIVE=0x0001;//自左向右显示窗口,该标志可以在滚动和滑动中使用.使用AW_CENTER标志时,该标志被忽略constintAW_HOR_NE ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNv4xM.html" rel="bookmark" class="title">c&num;-C&num;关于事件的用法&comma;求思路</a>
					<div>
						问题描述 C#关于事件的用法,求思路 假设有3个类A,B,C;假设B里面有个事件,这个事件是由A中的方法触发的,而该事件本身的发生又会导致C类中某个方法的发生,请问程序该怎么写?主要是涉及到3个类,感 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBk4koM.html" rel="bookmark" class="title">使用javascript实现雪花飘落的效果&lowbar;javascript技巧</a>
					<div>
						看了javascript网页特效实例大全中的图片飘下的效果实例,觉得值得动手学习下. 就把图片改成雪花图,完成一个雪花飘下的效果. 并且,其中有些内容比较陈旧了,那么就学者改掉吧. 包括: 1.对le ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvBx4M.html" rel="bookmark" class="title">菜鸟求教，如何正确通俗易懂的学习socket网络编程</a>
					<div>
						问题描述 基础班刚学完,对socket蒙了,完全卡死过不去,求打醒. 解决方案 解决方案二:补充一下网络知识或者想象一下人与人之间的交流需要什么解决方案三:引用1楼moonwrite的回复: 补充一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NY7jp.html" rel="bookmark" class="title">介绍Windows Azure虚拟机的两个比较有用的配置功能</a>
					<div>
						Windows http://www.aliyun.com/zixun/aggregation/13357.html&quot;&gt;Azure虚机提供的两个配置功能我211.html&quot;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG1jY3M.html" rel="bookmark" class="title">帮我看看这两段程序</a>
					<div>
						问题描述 importjavax.microedition.lcdui.Alert;importjavax.microedition.lcdui.AlertType;importjavax.micro ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
